# Uses of Interface
org.eclipse.jface.dialogs.IInputValidator

Packages that use IInputValidator
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.

## Uses of IInputValidator in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return IInputValidator
Modifier and Type
Method
Description
`protected IInputValidator`
InputDialog.`getValidator()`
Returns the validator.
Constructors in org.eclipse.jface.dialogs with parameters of type IInputValidator
Modifier
Constructor
Description
``
`InputDialog(Shell parentShell, String dialogTitle, String dialogMessage, String initialValue, IInputValidator validator)`
Creates an input dialog with OK and Cancel buttons.